Data - Retrieve Performance Data

استرداد بيانات الأداء للنطاق/المعلمات المحددة.

POST http://<Servername>/OperationsManager/data/performance

نص الطلب

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

الاسم النوع الوصف
duration

integer

المدة

id

string

performanceمعرف الطلب

performanceCounters

object[]

عدادات الأداء

الاستجابات

الاسم النوع الوصف
200 OK

PerformanceResponse

موافق. تم استرداد بيانات الأداء بنجاح.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

أمثلة

RetrievePerformanceData

نموذج الطلب

POST http://<Servername>/OperationsManager/data/performance

استجابة العينة

{
  "datasets": [
    {
      "data": {},
      "id": "10a8e3ed-27d7-e860-d22f-c6ea7820883824"
    }
  ],
  "legends": {
    "tableColumns": [
      {
        "field": "performanceobject",
        "header": "Performance object",
        "type": null,
        "hidden": false
      },
      {
        "field": "performancecounter",
        "header": "Performance counter",
        "type": null,
        "hidden": false
      },
      {
        "field": "performanceinstance",
        "header": "Performance instance",
        "type": null,
        "hidden": false
      },
      {
        "field": "averagevalue",
        "header": "Average value",
        "type": null,
        "hidden": false
      },
      {
        "field": "maximumvalue",
        "header": "Maximum value",
        "type": null,
        "hidden": false
      },
      {
        "field": "minimumvalue",
        "header": "Minimum value",
        "type": null,
        "hidden": false
      },
      {
        "field": "lastvalue",
        "header": "Last value",
        "type": null,
        "hidden": false
      },
      {
        "field": "path",
        "header": "Path",
        "type": null,
        "hidden": false
      },
      {
        "field": "target",
        "header": "Target",
        "type": null,
        "hidden": false
      }
    ],
    "rows": [
      {
        "performanceobject": "ManagementGroupAlerts",
        "performancecounter": "AlertsCount",
        "performanceinstance": "Total",
        "averagevalue": 0,
        "maximumvalue": -1.7976931,
        "minimumvalue": 1.79769313,
        "lastvalue": 0,
        "path": "",
        "target": "All Management Servers Resource Pool",
        "id": "10a8e3ed-27d7-e860-d22f-c6ea7820883824"
      }
    ]
  }
}

التعريفات

الاسم الوصف
GraphData
PerformanceRequest
PerformanceResponse
TableColumn
TableDataResponse

GraphData

الاسم النوع الوصف
data

object

id

string

PerformanceRequest

الاسم النوع الوصف
duration

integer

المدة

id

string

performanceمعرف الطلب

performanceCounters

object[]

عدادات الأداء

PerformanceResponse

الاسم النوع الوصف
datasets

GraphData[]

legends

TableDataResponse

TableColumn

الاسم النوع الوصف
field

string

اسم العمود

header

string

رأس العمود

hidden

boolean

هل العمود مخفي

type

string

نوع العمود

TableDataResponse

الاسم النوع الوصف
rows

object[]

صفوف الجدول من البيانات

tableColumns

TableColumn[]

أعمدة البيانات في الجدول